Bug 484688 - (staff_u) SELinux is preventing java (staff_java_t) "node_bind" to <Unknown> (unspec_node_t).
(staff_u) SELinux is preventing java (staff_java_t) "node_bind" to <Unknown> ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 10:07 EST by Matěj Cepl
Modified: 2009-11-18 06:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 06:25:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-02-09 10:07:19 EST
This is from running blueMarine (https://bluemarine.dev.java.net/):
(Kerberos doesn't make much sense -- it doesn't connect to a network for whatever I know):

SELinux is preventing java (staff_java_t) "node_bind" to <Unknown>
(unspec_node_t).

Podrobný popis:

[SELinux je v uvolněném režimu, operace by byla odmítnuta, ale byla povolena
kvůli uvolněnému režimu.]

SELinux denied access requested by java. The current boolean settings do not
allow this access. If you have not setup java to require this access this may
signal an intrusion attempt. If you do intend this access you need to change the
booleans on this system to allow the access.

Povolení přístupu:

One of the following booleans is set incorrectly: allow_kerberos, allow_ypbind

Příkaz pro opravu:

Choose one of the following to allow access:
Allow confined applications to run with kerberos.
# setsebool -P allow_kerberos 1
Allow system to run with NIS
# setsebool -P allow_ypbind 1


Další informace:

Kontext zdroje                staff_u:staff_r:staff_java_t:s0-s0:c0.c1023
Kontext cíle                 system_u:object_r:unspec_node_t:s0
Objekty cíle                 None [ tcp_socket ]
Zdroj                         java
Cesta zdroje                  /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre
                              /bin/java
Port                          <Neznámé>
Počítač                    viklef.ceplovi.cz
RPM balíčky zdroje          java-1.6.0-openjdk-1.6.0.0-9.b14.fc10
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.5.13-44.fc10
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     catchall_boolean
Název počítače            viklef.ceplovi.cz
Platforma                     Linux viklef.ceplovi.cz
                              2.6.27.12-170.2.5.fc10.x86_64 #1 SMP Wed Jan 21
                              01:33:24 EST 2009 x86_64 x86_64
Počet upozornění           2
Poprvé viděno               Pá 6. únor 2009, 23:58:26 CET
Naposledy viděno             Po 9. únor 2009, 14:21:13 CET
Místní ID                   0d8f20ba-054d-42af-9bb0-3d8e9a12f8f6
Čísla řádků              

Původní zprávy auditu      

node=viklef.ceplovi.cz type=AVC msg=audit(1234185673.252:1346): avc:  denied  { node_bind } for  pid=5521 comm="java" scontext=staff_u:staff_r:staff_java_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unspec_node_t:s0 tclass=tcp_socket

node=viklef.ceplovi.cz type=SYSCALL msg=audit(1234185673.252:1346): arch=c000003e syscall=49 success=yes exit=0 a0=105 a1=20df30 a2=1c a3=20dca0 items=0 ppid=4398 pid=5521 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=9 comm="java" exe="/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java" subj=staff_u:staff_r:staff_java_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2009-02-09 11:07:13 EST
Miroslav, 

in userdomain.if

change user_tcp_server block to use 

	tunable_policy(`user_tcp_server',`
		corenet_tcp_bind_all_nodes($1_usertype)
		corenet_tcp_bind_all_unreserved_ports($1_usertype)
	')
Comment 2 Miroslav Grepl 2009-02-12 09:55:02 EST
Fixed in selinux-policy-3.5.13-45.fc10
Comment 3 Bug Zapper 2009-11-18 06:03:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.